petsc-3.7.7 2017-09-25
Report Typos and Errors

# EventPerfLogDeactivate

Indicates that a particular event should not be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventPerfLogDeactivate(PetscEventPerfLog eventLog, PetscLogEvent event)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| event | - The event

### Usage

          EventPerfLogDeactivate(log, VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          EventPerfLogActivate(log, VEC_SetValues);
            [code where you do want to log VecSetValues()]

### Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with EventRegLogRegister().

### Keywords

log, event, activate

### See Also

PetscLogEventMPEDeactivate(), PetscLogEventMPEActivate(), EventPerfLogActivate()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages